| Home | Libraries | People | FAQ | More

# Protocol Class Reference

List of all members.

## Detailed Description

Protocol concept.

Implemented By:
  boost::asio::ip::tcp
  boost::asio::ip::udp

## Public Member Functions

int | type () const
| Obtain an identifier for the type of the protocol.
int | protocol () const
| Obtain an identifier for the protocol.
int | family () const
| Obtain an identifier for the protocol family.

## Member Function Documentation

int Protocol::type | ( |  | ) | const

Obtain an identifier for the type of the protocol.

int Protocol::protocol | ( |  | ) | const

Obtain an identifier for the protocol.

int Protocol::family | ( |  | ) | const

Obtain an identifier for the protocol family.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff